## ffs 0.9.25

=== Makefile ===
DESTDIR?=/tmp
SBINDIR?=/sbin
MANDIR?=/usr/share/man

.PHONY: all clean install build reinstall uninstall distclean
all: build

clean:
	@rm -f setup.data setup.log setup.bin config.mk version.ml
	@rm -rf _build
	@rm -f *.native

setup.bin: setup.ml
	@ocamlopt.opt -o $@ $< || ocamlopt -o $@ $< || ocamlc -o $@ $<
	@rm -f setup.cmx setup.cmi setup.o setup.cmo

setup.data: setup.bin
	@./setup.bin -configure

build: setup.data setup.bin version.ml
	@./setup.bin -build 
	mv main.native ffs
	./ffs --help=groff > ffs.1

version.ml: VERSION
	echo "let version = \"$(shell cat VERSION)\"" > version.ml

install:
	mkdir -p $(DESTDIR)/$(SBINDIR)
	install ./ffs $(DESTDIR)/$(SBINDIR)/ffs
	mkdir -p $(DESTDIR)/$(MANDIR)/man1
	install ./ffs.1 $(DESTDIR)/$(MANDIR)/man1/ffs.1

reinstall: install

uninstall:
	rm -f $(DESTDIR)/$(SBINDIR)/ffs
	rm -f $(DESTDIR)/$(MANDIR)/man1/ffs.1

.PHONY: test
test:
	@echo Tests vacuously passed

=== debian/changelog ===
ffs (0.9.25-1) UNRELEASED; urgency=low

  * Update to 0.9.25

 -- David Scott <dave.scott@citrix.com>  Thu, 02 Oct 2014 12:00:00 +0000

ffs (0.9.24-1) UNRELEASED; urgency=low

  * Update to 0.9.24, with VDI.clone fix

 -- Euan Harris <euan.harris@citrix.com>  Thu, 16 Jan 2014 12:00:00 +0000

ffs (0.9.23-1) UNRELEASED; urgency=low

  * Update to 0.9.23, with VDI.copy fix

 -- David Scott <dave.scott@eu.citrix.com>  Thu, 31 Oct 2013 12:00:00 +0000

=== debian/control ===
Source: ffs
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 libcmdliner-ocaml-dev,
 libxcp-idl-ocaml-dev,
 dh-ocaml (>= 0.9),
 ocaml-nox,
 libtapctl-ocaml-dev,
 python,
 debhelper (>= 8),
 ocaml-obuild,
 ocaml-findlib,
 libcohttp-ocaml-dev,
 ocaml-native-compilers,
 vhd-ocaml-dev,
 librpc-ocaml-dev,
 libre-ocaml-dev

Package: ffs
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 nfs-common,
 lsb-base,
 blktap
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Simple flat file storage manager for the xapi toolstack
 Simple flat file storage manager for the xapi toolstack.

## ffs 0.10.0

=== datapath/Makefile ===
COMMANDS=Datapath.activate  Datapath.attach  Datapath.deactivate  Datapath.detach

.PHONY: clean
clean:
	rm -f *.exe

.PHONY: test
test:
	# Running the commands will invoke the typechecker
	for command in $(COMMANDS); do \
	        echo $$command ; \
		./$$command --test ; \
	done

DESTDIR?=/
SCRIPTDIR?=/usr/lib/xapi-storage-script/datapath/file

.PHONY: install
install:
	mkdir -p $(DESTDIR)$(SCRIPTDIR)
	install -m 0755 $(COMMANDS) $(DESTDIR)$(SCRIPTDIR)

=== volume/Makefile ===
COMMANDS=Plugin.Query Plugin.diagnostics SR.create SR.ls SR.destroy SR.attach SR.detach Volume.create Volume.destroy Volume.stat Volume.snapshot Volume.clone
LIBRARIES=fs.ml qemu.ml common.ml

.PHONY: clean
clean:
	rm -f *.exe

.PHONY: test
test:
	# Running the commands will invoke the typechecker
	for command in $(COMMANDS); do \
	        echo $$command ; \
		./$$command --test ; \
	done

DESTDIR?=/
SCRIPTDIR?=/usr/lib/xapi-storage-script/volume/org.xen.xcp.storage.ffs

.PHONY: install
install:
	mkdir -p $(DESTDIR)$(SCRIPTDIR)
	install -m 0755 $(COMMANDS) $(DESTDIR)$(SCRIPTDIR)
	install -m 0644 $(LIBRARIES) $(DESTDIR)$(SCRIPTDIR)

=== debian/changelog ===
ffs (0.10.0-1) UNRELEASED; urgency=low

  * Update to 0.10.0

 -- David Scott <dave.scott@citrix.com>  Thu, 02 Oct 2014 12:00:00 +0000

=== debian/control ===
Source: ffs
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 libcohttp-ocaml-dev,
 libxcp-idl-ocaml-dev,
 dh-ocaml (>= 0.9),
 ocaml-nox,
 python,
 debhelper (>= 8),
 librpc-ocaml-dev,
 ocaml-findlib,
 ocaml-native-compilers,
 ocamlscript,
 libcstruct-ocaml-dev,
 xapi-storage-dev,
 libcmdliner-ocaml-dev,
 libre-ocaml-dev

Package: ffs
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 lsb-base,
 ocaml-nox,
 ocaml-native-compilers,
 camlp4,
 camlp4-extra,
 ocaml-findlib,
 ocaml-findlib,
 libfindlib-ocaml-dev,
 xapi-storage-dev,
 libre-ocaml-dev,
 libcmdliner-ocaml-dev,
 liburi-ocaml-dev,
 ocamlscript,
 libounit-ocaml-dev,
 libcstruct-ocaml-dev
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Simple flat file storage manager for the xapi toolstack
 Simple flat file storage manager for the xapi toolstack.
